import random

# Random seed chosen by arknave's fair dice roll. Guaranteed to be random.
rand_gen = random.Random(97)

S_LEN_BOUND = 200000
Q_BOUND = 200000
T_LEN_SUM_BOUND = 200000

ch = 'h'

s = ''.join(ch for _ in range(S_LEN_BOUND))
curr = ch
sum_len = 0
queries = []
query_indices = []
while sum_len + len(curr) <= T_LEN_SUM_BOUND:
  queries.append(curr)
  query_indices.append(rand_gen.randint(1, S_LEN_BOUND))
  sum_len += len(queries[-1])
  curr += ch
print(s)
print(len(queries))
for query_string, query_index in zip(queries, query_indices):
  print('%s %s' % (query_string, query_index))

